Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.kemet.impl.grammar.model
Class Noun

    java.lang.Object
      org.kemet.impl.grammar.model.Noun

All Implemented Interfaces:
  java.io.Serializable

    public class Noun

extends java.lang.Object
implements java.io.Serializable

Since:
  0.6
Author:
  fabricemaupin

  BEAN : Noun (lexicographical list).

See Also:
  Serialized Form

Constructor Summary
`Noun()` instantiate the object.

Method Summary
`static void` | `clear()` remove all instances.
`java.lang.String` | `getId()` return the identification.
`static java.util.HashMap<java.lang.String,Noun>` | `getSeek()` return the list of instances.
`java.lang.String` | `getTranscription()` return the transcription.
`java.lang.String[]` | `getValue()` return the values.
`static java.lang.String` | `isFoundByTransliteration(java.lang.String transliteration)` the transliteration is a noun ?
`void` | `setId(java.lang.String id)` fix the identification.
`void` | `setTranscription(java.lang.String transcription)` fix the transcription.
`void` | `setValue(java.lang.String[] value)` fix the values.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Noun

    public Noun()

  instantiate the object.

  Since:
    0.6

Method Detail

### getSeek

    public static java.util.HashMap<java.lang.String,Noun> getSeek()

  return the list of instances.

  Returns:
    instances
  Since:
    0.6

### clear

    public static void clear()

  remove all instances.

  Since:
    0.6

### isFoundByTransliteration

    public static java.lang.String isFoundByTransliteration(java.lang.String transliteration)

  the transliteration is a noun ?

  Parameters:
    `transliteration` - current transliteration to compare with list of nouns
  Returns:
    list of hieroglyphs
  Since:
    0.6

### getId

    public java.lang.String getId()

  return the identification.

  Returns:
    identification
  Since:
    0.6

### setId

    public void setId(java.lang.String id)

  fix the identification.

  Parameters:
    `id` - identification to fix
  Since:
    0.6

### getValue

    public java.lang.String[] getValue()

  return the values.

  Returns:
    values
  Since:
    0.6

### setValue

    public void setValue(java.lang.String[] value)

  fix the values.

  Parameters:
    `value` - values to fix
  Since:
    0.6

### getTranscription

    public java.lang.String getTranscription()

  return the transcription.

  Returns:
    transcription
  Since:
    0.6

### setTranscription

    public void setTranscription(java.lang.String transcription)

  fix the transcription.

  Parameters:
    `transcription` - transcription to fix
  Since:
    0.6

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 F. MAUPIN. All Rights Reserved.